
From: Harald Welte <laforge@gnumonks.org>

Without moving the include of compat.h down, userspace programs that use
usbdevice_fs.h end up including half the kernel includes (and eventually
fail to compile).

Signed-off-by: Harald Welte <laforge@netfilter.org>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/usbdevice_fs.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/usbdevice_fs.h~usbdevice_fs-header-breakage include/linux/usbdevice_fs.h
--- devel/include/linux/usbdevice_fs.h~usbdevice_fs-header-breakage	2005-09-04 13:20:49.000000000 -0700
+++ devel-akpm/include/linux/usbdevice_fs.h	2005-09-04 13:20:49.000000000 -0700
@@ -32,7 +32,6 @@
 #define _LINUX_USBDEVICE_FS_H
 
 #include <linux/types.h>
-#include <linux/compat.h>
 
 /* --------------------------------------------------------------------- */
 
@@ -125,6 +124,7 @@ struct usbdevfs_hub_portinfo {
 };
 
 #ifdef CONFIG_COMPAT
+#include <linux/compat.h>
 struct usbdevfs_urb32 {
 	unsigned char type;
 	unsigned char endpoint;
_
